Subject: Re: [hackers-il] Impact of "trusted computing" on Free Software? (fwd)

From: Omer Zak <[email-masked]>
Date: Fri, 08 Apr 2005 09:30:09 +0200

Forwarded to Hackers-IL with Orr Dunkelman's permission.   --- Omer

On Thu, 2005-04-07 at 18:56 +0300, Orr Dunkelman wrote:
> Omer Shalom,
> 
> I've jsut now had to answer Adir's mail (sorry for answering mail I'm not 
> suppose to, but... as I teach trusted computing and gave some lecture 
> about it... I know a little bit...)
> 
> see my answers between your question..
> 
> --
> Orr Dunkelman,
> [email-masked]
> 
> "If it wasn't for C, we'd be writing programs in BASI, PASAL, and OBOL", anon
> 
> Spammers: http://vipe.technion.ac.il/~orrd/spam.html
> GPG fingerprint: C2D5 C6D6 9A24 9A95 C5B3  2023 6CAB 4A7C B73F D0AA
> (This key will never sign Emails, only other PGP keys.)
> 
> ---------- Forwarded message ----------
> Date: Wed, 16 Mar 2005 23:41:21 +0200 (IST)
> From: Adir Abraham <do-not-spam>
> To: Orr Dunkelman <[email-masked]>
> Subject: [hackers-il] Impact of "trusted computing" on Free Software? (fwd)
> 
> I've no idea if you are registered to hackers-il, but I thought that this would 
> interest you.
> 
> ---------- Forwarded message ----------
> Date: Wed, 16 Mar 2005 22:53:40 +0200
> From: Omer Zak <[email-masked]>
> Reply-To: [email-masked]
> To: hackers-il <[email-masked]>
> Subject: [hackers-il] Impact of "trusted computing" on Free Software?
> 
> 
> http://news.com.com/2100-7355_3-5619035.html?type=pt∂=inv&tag=feed&subj=news
> "Hardware security sneaks into PCs".
> This time, Microsoft is late with the relevant OS support, so hardware
> makers are free to implement their "trusted computing" schemes, and
> Microsoft will have to follow suit.
> >
> Actually if microsoft would announce something, most hardware people will 
> have to go with her, otherwise, she might cancel support of hardware in 
> her kernel (os either all hardware community unites, or MS can divide and 
> conquer).
> 
> 
> My question/concern is:  will it be possible to use Free Software on
> such hardware, and if yes - under what conditions?
> >
> Well, not 100% sure. Of course, many companies want that you would be able 
> to use FOSS on such hardware, but one possible model is that you'll buy 
> certification services from your distro, whom either will check you 
> haven't tempered with the trusted computing stuff, or will do the 
> complation for you.
> See my second talk in haifux on that matter.
> 
> What alternatives are there for companies, which want to keep their
> sensitive applications and data secret and/or tamper proof?
> >
> none. US laws, EU laws, and then other contries laws would require such 
> devices on all new machines. Then, their use can be activated, and then, 
> if your data is on such a machine - you're screwed. What you can do is to 
> keep it on your old ocmputers, but then, these computers might not be able 
> to "talk" with your router, who would require your old computer to prove 
> part of the TC world.
> 
> How long will it take before someone develops a computer virus, which
> circumvents the "trusted computing" protections?
> >
> probably very fast. 10 days given the challenge. If they won't add 
> revocation mechanism to the model, then it would be a disastear. if they 
> add revocation mechanism - then it might be useful.
> 
>                                              --- Omer
-- 
MS-Windows is the Pal-Kal of the PC world.
My own blog is at http://www.livejournal.com/users/tddpirate/

My opinions, as expressed in this E-mail message, are mine alone.
They do not represent the official policy of any organization with which
I may be affiliated in any way.
WARNING TO SPAMMERS:  at http://www.zak.co.il/spamwarning.html

---

From: Arik Baratz <[email-masked]>
Date: Sat, 9 Apr 2005 14:22:52 +0300

> > her kernel (os either all hardware community unites, or MS can divide and

Actually I believe that there is a force that will MANDATE open
platforms for many years to come: China.

The Chinese are very anti-US, anti-US-companies, anti-copyright and
anti-patents to a paranoid extreme. Their OS of choice is Linux-based,
and they posess unbelivable manufacturing power. They will, IMHO, be
an economic power in the near future. We all need to learn Chinese
now, if you ask me.

We might see rules in the US that prohibit those 'communist computers
made in China' from being sold... but I believe we'll always have
abundant hardware to run our OS on.

-- Arik